%define upstream_name    Glib-Object-Introspection
%define upstream_version 0.051

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Dynamically create Perl language bindings
License:    LGPLv2
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Glib/%{upstream_name}-%{upstream_version}.tar.gz
# apply this in order to be able to generate perl_checker's fake packages:
Source1:    perl_checker2.diff

BuildRequires: perl(ExtUtils::Depends) >= 0.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.0.0
BuildRequires: perl(Glib) >= 1.320.0
BuildRequires: perl-devel
BuildRequires: pkgconfig(gobject-introspection-1.0)
# For tests:
BuildRequires: pkgconfig(cairo-gobject)
BuildRequires: pkgconfig(cairo)
BuildRequires: typelib(Gio)
# (tv) t/00-basic-types.t line 51 failed with C locale
BuildRequires: locales-en
Requires:   perl(Glib) >= 1.320.0
%{?perl_default_filter}

%description
To allow Glib::Object::Introspection to create bindings for a library, it
must have installed a typelib file, for example
'$prefix/lib/girepository-1.0/Gtk-3.0.typelib'. In your code you then
simply call 'Glib::Object::Introspection->setup' to set everything up. This
method takes a couple of key-value pairs as arguments. These three are
mandatory:

* basename => $basename

  The basename of the library that should be wrapped. If your typelib is
  called 'Gtk-3.0.typelib', then the basename is 'Gtk'.

%package -n perli11ndoc
Summary:    an interactive documentation viewer based on installed gir files
Group:      Development/Perl
Requires:   perl-Gtk3
%description -n perli11ndoc
perli11ndoc is an interactive documentation viewer based on installed *.gir
files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
export LD_LIBRARY_PATH=$PWD/build/
LC_ALL=en_US.UTF-8 make test

%install
%make_install INSTALL_BASE= PREFIX=/usr

%files
%license LICENSE
%doc LICENSE META.json META.yml MYMETA.yml NEWS
%{_mandir}/man3/*
%perl_vendorarch/*

%files -n perli11ndoc
%{_bindir}/*
%{_mandir}/man1/perli11ndoc.*


%changelog
* Tue Nov 28 2023 tv <tv> 0.51.0-4.mga10
+ Revision: 2010958
- Rebuild for perl-5.38

* Tue Nov 28 2023 tv <tv> 0.51.0-3.mga10
+ Revision: 2010525
- Rebuild for armv7 (media did not contain latest Glib)

* Tue Nov 28 2023 tv <tv> 0.51.0-2.mga10
+ Revision: 2010437
- Rebuild for perl-5.38

* Sun Sep 10 2023 tv <tv> 0.51.0-1.mga10
+ Revision: 1985775
- update to 0.051

* Tue Jun 07 2022 umeabot <umeabot> 0.49.0-5.mga9
+ Revision: 1862867
- Rebuild for Perl 5.36

* Wed Mar 30 2022 umeabot <umeabot> 0.49.0-4.mga9
+ Revision: 1834775
- Mageia 9 Mass Rebuild

* Thu Aug 05 2021 luigiwalser <luigiwalser> 0.49.0-3.mga9
+ Revision: 1739663
- rebuild for libffi

* Mon May 24 2021 tmb <tmb> 0.49.0-2.mga9
+ Revision: 1726329
- rebuild for rebuild for perl-5.34.0

* Thu Oct 22 2020 tv <tv> 0.49.0-1.mga8
+ Revision: 1638217
- update to 0.049

* Thu Jun 18 2020 umeabot <umeabot> 0.48.0-4.mga8
+ Revision: 1595650
- Rebuild for perl 5.32

* Tue Jun 16 2020 ovitters <ovitters> 0.48.0-3.mga8
+ Revision: 1593495
- rebuild for new ffi

* Tue Feb 18 2020 umeabot <umeabot> 0.48.0-2.mga8
+ Revision: 1539652
- Mageia 8 Mass Rebuild

* Wed Dec 11 2019 tv <tv> 0.48.0-1.mga8
+ Revision: 1465895
- update to 0.048

* Mon Aug 26 2019 tmb <tmb> 0.47.0-2.mga8
+ Revision: 1432597
- rebuild for perl 5.30
+ tv <tv>
- fix "can't find package Gtk4::CellAccessible" in Gtk4
- enable_exceptions is there for Gtk4 too

* Tue Feb 05 2019 tv <tv> 0.47.0-1.mga7
+ Revision: 1363321
- update to 0.047

* Thu Sep 27 2018 tv <tv> 0.46.0-1.mga7
+ Revision: 1308099
- update to 0.046

* Fri Sep 21 2018 umeabot <umeabot> 0.45.0-3.mga7
+ Revision: 1292972
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 pterjan <pterjan> 0.45.0-2.mga7
+ Revision: 1247480
- Fix file list

* Wed May 23 2018 tv <tv> 0.45.0-1.mga7
+ Revision: 1231793
- update to 0.045
- SOURCE2: perl_checker fake pkg generation:
  o fix parsing the right version when eg there's both Gtk-3 & Gtk-4
  o fix computing the parent class
  o fix protecting special members

* Mon Nov 06 2017 tv <tv> 0.44.0-1.mga7
+ Revision: 1176180
- update to 0.044

* Mon Oct 02 2017 tv <tv> 0.43.0-5.mga7
+ Revision: 1164578
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.43.0-4.mga7
+ Revision: 1159007
- rebuild with perl w/o 64int suffix

* Thu Aug 31 2017 tv <tv> 0.43.0-3.mga7
+ Revision: 1148856
- rebuild for fixed perl

* Sat Jul 22 2017 neoclust <neoclust> 0.43.0-2.mga7
+ Revision: 1126615
- Rebuild against new Perl 5.26

* Mon Jul 17 2017 tv <tv> 0.43.0-1.mga7
+ Revision: 1124083
- new release

* Sat Dec 24 2016 tv <tv> 0.42.0-1.mga6
+ Revision: 1076703
- new release (just merged patch)

* Mon Dec 12 2016 tv <tv> 0.41.0-2.mga6
+ Revision: 1074328
- improve perli11ndoc

* Thu Nov 24 2016 tv <tv> 0.41.0-1.mga6
+ Revision: 1069685
- new release
- enable generation Glib::IO fake package

* Fri Nov 04 2016 tv <tv> 0.40.0-3.mga6
+ Revision: 1065331
- re-enable the testsuite
- the testsuite tests nothing if LD_LIBRARY_PATH isn't set
- use %%license
- Source1: non applied patch + examples how to udpate perl_checker's fake packages

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-2.mga6
+ Revision: 1027945
- Rebuild for perl 5.22.2

* Tue Dec 22 2015 tv <tv> 0.40.0-1.mga6
+ Revision: 913373
- new release

* Tue Dec 01 2015 tv <tv> 0.33.0-1.mga6
+ Revision: 907451
- new release
- switch to pkgconfig() BRs

* Thu Oct 01 2015 tv <tv> 0.32.0-1.mga6
+ Revision: 885569
- new release

* Wed Aug 26 2015 tv <tv> 0.31.0-1.mga6
+ Revision: 869458
- new release
- add manual requires on Gtk3 for perli11ndoc

* Sun Aug 23 2015 tv <tv> 0.30.0-2.mga6
+ Revision: 868834
- patch 0: add perli11ndoc

* Thu Aug 13 2015 tv <tv> 0.30.0-1.mga6
+ Revision: 864542
- drop patch
- new release

* Sat Jul 25 2015 tv <tv> 0.29.0-4.mga6
+ Revision: 857167
- prevent loading twice a library

* Thu Jun 25 2015 tv <tv> 0.29.0-3.mga6
+ Revision: 843428
- rebuild with soname-ified perl

* Tue Jun 23 2015 sander85 <sander85> 0.29.0-2.mga6
+ Revision: 840935
- Rebuild for perl 5.22

* Sun Jun 21 2015 tv <tv> 0.29.0-1.mga6
+ Revision: 837554
- new release

* Sat Jun 20 2015 tv <tv> 0.28.0-1.mga6
+ Revision: 835799
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.25.0-2.mga5
+ Revision: 744526
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.25.0-1.mga5
+ Revision: 732008
- new release
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 0.24.0-2.mga5
+ Revision: 684876
- Mageia 5 Mass Rebuild

* Thu Jul 03 2014 tv <tv> 0.24.0-1.mga5
+ Revision: 642673
- new release

* Thu Jun 26 2014 tv <tv> 0.23.0-3.mga5
+ Revision: 640133
- fix potential stack corruption

* Tue Jun 03 2014 tv <tv> 0.23.0-2.mga5
+ Revision: 632066
- rebuild for new perl

* Mon May 19 2014 tv <tv> 0.23.0-1.mga5
+ Revision: 623796
- new release

* Tue Mar 25 2014 tv <tv> 0.22.0-1.mga5
+ Revision: 608593
- new release

* Tue Mar 25 2014 tv <tv> 0.21.0-1.mga5
+ Revision: 608586
- new release

* Wed Feb 19 2014 tv <tv> 0.20.0-1.mga5
+ Revision: 594845
- new release

* Tue Feb 11 2014 tv <tv> 0.19.0-2.mga5
+ Revision: 589198
- allow undef for booleans (mga#12390, #12625, ...)

* Tue Feb 04 2014 tv <tv> 0.19.0-1.mga5
+ Revision: 581955
- new release

* Thu Jan 16 2014 tv <tv> 0.18.0-1.mga4
+ Revision: 566663
- new release
- fix registrering some enums

* Tue Dec 17 2013 tv <tv> 0.17.0-2.mga4
+ Revision: 558340
- use upstream testsuite fix

* Mon Dec 16 2013 tv <tv> 0.17.0-1.mga4
+ Revision: 557173
- BR perl(Cairo::GObject) for some tests
- disable ref count tests that are broken by latest Glib (also affect previous release)
- new release

* Tue Dec 03 2013 tv <tv> 0.16.0-3.mga4
+ Revision: 554742
- from git: register unregistered enums
  (fix using GSpawnFlags & VtePtyFlags in mcc's drakconsole)

* Mon Oct 21 2013 umeabot <umeabot> 0.16.0-2.mga4
+ Revision: 538368
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 tv <tv> 0.16.0-1.mga4
+ Revision: 489481
- new release

* Wed May 29 2013 tv <tv> 0.15.0-2.mga4
+ Revision: 429967
- rebuild for new perl

* Sun Mar 03 2013 tv <tv> 0.15.0-1.mga3
+ Revision: 401218
- new release

* Mon Feb 18 2013 tv <tv> 0.14.0-3.mga3
+ Revision: 398946
- more fixes for Glib::IO

* Fri Feb 15 2013 tv <tv> 0.14.0-2.mga3
+ Revision: 398506
- fixes from git

* Mon Feb 04 2013 tv <tv> 0.14.0-1.mga3
+ Revision: 394605
- new release

* Thu Jan 31 2013 tv <tv> 0.13.0-3.mga3
+ Revision: 393712
- patch 0: fixes from git
- run testsuite
- fix testsuite

* Sun Jan 13 2013 umeabot <umeabot> 0.13.0-2.mga3
+ Revision: 367767
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 tv <tv> 0.13.0-1.mga3
+ Revision: 328683
- new release

* Sun Aug 26 2012 tv <tv> 0.12.0-1.mga3
+ Revision: 284316
- bump requires
- new release

* Mon Aug 06 2012 luigiwalser <luigiwalser> 0.11.0-2.mga3
+ Revision: 278989
- rebuild for libffi

* Wed Aug 01 2012 tv <tv> 0.11.0-1.mga3
+ Revision: 277205
- new release

* Thu Jul 05 2012 jquelin <jquelin> 0.10.0-1.mga3
+ Revision: 268190
- update to 0.010

* Sat Jun 02 2012 tv <tv> 0.9.0-1.mga3
+ Revision: 253459
- new release

* Wed May 30 2012 tv <tv> 0.8.0-1.mga3
+ Revision: 251789
- new release

* Wed May 30 2012 jquelin <jquelin> 0.7.0-2.mga3
+ Revision: 250649
- rebuild for perl 5.16

* Tue Mar 06 2012 tv <tv> 0.7.0-1.mga2
+ Revision: 220182
- new release

* Mon Jan 23 2012 tv <tv> 0.6.0-1.mga2
+ Revision: 200384
- new release

* Thu Dec 29 2011 fwang <fwang> 0.5.0-1.mga2
+ Revision: 188589
- new version 0.005

* Wed Nov 23 2011 tv <tv> 0.4.0-1.mga2
+ Revision: 171250
- fix file list
- new release

* Sat Oct 15 2011 tv <tv> 0.3.0-1.mga2
+ Revision: 155410
- new release
- imported package perl-Glib-Object-Introspection
+ fwang <fwang>
- rebuild

